%bcond_without check

%global goipath         github.com/clbanning/x2j
Version:                1.1
%global tag             1.1

%gometa

%global common_description %{expand:
Unmarshal an anonymous xml doc to map[string]interface{} and json, and extract
values (using wildcards, if necessary).}

%global golicenses      LICENSE
%global godocs          examples README

Name:           %{goname}
Release:    2%{?dist}
Summary:        Unmarshal an anonymous xml doc to map[string]interface{} and json

License:        BSD
URL:            %{gourl}
Source0:        %{gosource}
Patch0:         0001-Remove-redundant-newlines-in-Println-statement.patch

%description
%{common_description}

%gopkg

%prep
%goprep
%patch -P0 -p1

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Sat Jun 07 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.1-2
- Rebuilt for loongarch64

* Mon Aug 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - -1
- initial build
